cordova.define("cordova-plugin-app.AppPlugin", function(require, exports, module) {
// eslint-disable-next-line
var exec = require('cordova/exec');

/**
 * window.cordova.plugins.security
 */
function AppNative() {
  this.enableScreen = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'enableScreen');
  };
  this.disableScreen = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'disableScreen');
  };

  /**
   * 清除内存贮存的背景图片（Android）add by shenby(2021.1.14)
   * @param successCallback
   * @param errorCallback
   */
  this.setBgImgNull = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'setBgImgNull');
  };

  /**
   * 是否已越狱（iOS）
   * @param successCallback
   * @param errorCallback
   */
  this.isJailBreak = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'isJailBreak');
  };
  /**
   * 是否已Root（Android）
   * @param successCallback
   * @param errorCallback
   */
  this.isRoot = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'isRoot');
  };
  /**
   * 是否使用虚拟机（Android）
   * @param successCallback
   * @param errorCallback
   */
  this.isVirtual = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'isVirtual');
  };
  /**
   * 获取网络状态
   * 0 - 未知
   * 1 - 被限制(只允许Wifi或者都不允许都为此状态)
   * 2 - 无限制
   * @param successCallback
   * @param errorCallback
   */
  this.getNetworkStatus = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'AppPlugin', 'getNetworkStatus');
  };
  /**
   * 获取文件MD5值
   * @param successCallback
   *        @object
   *            1. code: 0 返回成功都为0
   *            2. md5: 文件md5值
   * @param errorCallback
   *        @object
   *            1. code: 100 返回失败都为100
   *            2. msg: 调试用错误信息
   * @param options
   *          1. filePath 需要计算MD5值得文件路径
   */
  this.getFileMD5 = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'getFileMD5', [options || {}]);
  };
  /**
   * 获取设备id
   * @param successCallback
   * @param errorCallback
   * @param options
   */
  this.getDeviceId = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'getDeviceId', [options || {}]);
  };
  this.checkCameraPermission = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'checkCameraPermission', [options || {}]);
  };
  this.exit = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'exit', [options || {}]);
  };
  this.appOnCreate = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'appOnCreate', [options || {}]);
  };
  this.finish = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'finish', [options || {}]);
  };
  this.startEnvDetection = function (successCallback, errorCallback, options) {
    exec(successCallback, errorCallback, 'AppPlugin', 'startEnvDetection', [options || {}]);
  };
}

module.exports = new AppNative();

});
